classification
Title: update doc of compileall
Type: Stage: resolved
Components: Documentation Versions: Python 3.9
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: CuriousLearner, Mariatta, docs@python, miss-islington, shihai1991, vstinner
Priority: normal Keywords: patch

Created on 2019-08-06 17:38 by shihai1991, last changed 2019-08-21 17:04 by shihai1991. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 15148 merged shihai1991, 2019-08-06 17:40
PR 15294 merged miss-islington, 2019-08-14 22:03
Messages (4)
msg349120 - (view) Author: hai shi (shihai1991) * Date: 2019-08-06 17:38
due to https://github.com/python/cpython/commit/a6b3ec5b6d4f6387820fccc570eea08b9615620d,
we need update invalidation_mode's value from py_compile.PycInvalidationMode.TIMESTAMP to None in compile_xx function.
msg349725 - (view) Author: Sanyam Khurana (CuriousLearner) * (Python triager) Date: 2019-08-14 17:46
I've checked and approved this PR.

This needs a core-review now.

Thanks, Hai for your contribution.
msg349765 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2019-08-14 22:03
New changeset 68e495df909a33e719e3f1ef5b4893ec785e10a4 by Victor Stinner (Hai Shi) in branch 'master':
bpo-37775: Update compileall doc for invalidation_mode parameter (GH-15148)
https://github.com/python/cpython/commit/68e495df909a33e719e3f1ef5b4893ec785e10a4
msg349769 - (view) Author: miss-islington (miss-islington) Date: 2019-08-14 22:22
New changeset dbe4c286ce28402c3bce71d568ae55b91280e777 by Miss Islington (bot) in branch '3.8':
bpo-37775: Update compileall doc for invalidation_mode parameter (GH-15148)
https://github.com/python/cpython/commit/dbe4c286ce28402c3bce71d568ae55b91280e777
History
Date User Action Args
2019-08-21 17:04:18shihai1991setstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2019-08-14 22:22:05miss-islingtonsetnosy: + miss-islington
messages: + msg349769
2019-08-14 22:03:22miss-islingtonsetpull_requests: + pull_request15017
2019-08-14 22:03:14vstinnersetmessages: + msg349765
2019-08-14 17:46:09CuriousLearnersetnosy: + Mariatta, CuriousLearner
messages: + msg349725
2019-08-06 21:05:03brett.cannonsetnosy: + vstinner
2019-08-06 17:40:23shihai1991setkeywords: + patch
stage: patch review
pull_requests: + pull_request14883
2019-08-06 17:38:00shihai1991create